#!/bin/bash

host=127.0.0.1
start_port=1
end_port=10000

echo -e "\nResults for $host /dev/tcp scan:\n" > open.txt

echo -e "\nScanning with /dev/tcp\n"
echo -e "\nHost: $host\n"

for ((port=$start_port; port<=$end_port; port++))
do
  echo >/dev/tcp/$host/$port >result 2>&1 && echo "$port is open" >>open.txt || cat result | grep -v connect >>result.txt
done

cat open.txt
cat open.txt >> result.txt
echo -e "\nFor full results, check result.txt\n"

rm result open.txt
